Page MenuHomePhabricator

schedule maintenance for IRC server
Closed, DeclinedPublic

Description

We need to schedule a maintenance window for the IRCd at irc.wikimedia.org.

We want to:

-<s>enable firewalling (T104943)</s> DONE

This will disconnect IRC connections and require a restart of IRCD and also the RC feed bot.

Need instructions how to properly restart RC feed bot and announce a downtime for users.

Event Timeline

Dzahn created this task.Jul 14 2015, 3:34 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 14 2015, 3:34 PM
Dzahn set Security to None.
Dzahn added a parent task: Restricted Task.Jul 15 2015, 4:59 AM

It would be nice to know how long the maintenance window is intended to be and consequently what the estimated/expected downtime will be. It may make sense to include this information in any user notice as well.

Joe triaged this task as Normal priority.Jul 15 2015, 6:53 AM

As it currently stands, I can't communicate this to users since there is no date and time given here. The tech newsletter will be frozen for translation in a few hours, and unless additional information about scheduling is available, I won't be able to announce this in Monday's newsletter.

Dzahn added a comment.Jul 18 2015, 3:10 PM

@gpaumier Sorry about that. I was travelling and did not get to actually schedule it this week yet and i will be on vacation for one week after Wikimania. Putting it on the tech news was premature. Please hold on for now. We'll put it on a later edition.

@Dzahn no problem, thank you for following up. Enjoy the vacation :)

Glaisher added a subscriber: Glaisher.
Dzahn claimed this task.Aug 20 2015, 1:11 AM

Judging from the current ferm rules it seems we can schedule this now?

Dzahn added a comment.EditedSep 30 2015, 2:57 PM

The blocker is kind of the knowledge how to properly bring the IRC bot back up. Sounds simple, but last time i know it was an issue and i couldn't find docs how it was fixed.

Dzahn added a comment.Oct 1 2015, 8:05 PM

13:05 < valhallasw`cloud> mutante:

https://github.com/wikimedia/operations-puppet/blob/a329b58c01345c5f75437f2b8acff32cbf919c1a/modules/mw-rc-irc/files/upstart/ircecho.conf

13:05 < mutante> valhallasw`cloud: the author name is interesting :)
13:06 < mutante> this might be the newer system already
13:06 < mutante> upstart conf sounds good and what was missing last time, yea

chasemp added a subscriber: chasemp.Oct 1 2015, 9:06 PM

Right should be able to:

rush@argon:~# sudo service ircd status
ircd start/running, process 15108
rush@argon:~# sudo service ircecho status
ircecho start/running, process 8210

The blocker is kind of the knowledge how to properly bring the IRC bot back up. Sounds simple, but last time i know it was an issue and i couldn't find docs how it was fixed.

Possibly https://wikitech.wikimedia.org/wiki/IRCD ? (Assuming those docs are uptodate)

Krenair added a subscriber: Krenair.Oct 1 2015, 9:38 PM

You can probably test it in labs...

Dzahn added a comment.Oct 6 2015, 10:26 PM

changed my mind about putting unrelated things (IPv6, firewalling, change motd) into one maintenance window. the firewalling thing doesnt need a server nor service restart. will do that part without having to schedule. it was missing a rule for the RC bot before we can activate it. i uploaded a change for that

Dzahn removed a parent task: Restricted Task.Oct 7 2015, 9:14 PM
Dzahn added a comment.Oct 7 2015, 9:18 PM

I resolved the firewalling part of this without needing a maintenance downtime.

I give it back to the pool/ up for grabs about the motd change and possibly IPv6.

Dzahn removed Dzahn as the assignee of this task.Oct 7 2015, 9:19 PM
Dzahn updated the task description. (Show Details)
Dzahn lowered the priority of this task from Normal to Low.Oct 7 2015, 9:23 PM
Dzahn removed a project: User-notice.
gpaumier removed a subscriber: gpaumier.Oct 7 2015, 9:24 PM
Dzahn closed this task as Declined.Mar 4 2016, 6:39 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 4 2016, 6:39 PM